package com.microservices.pms.pipeline.domain;

import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 流水线对象 pms_ci_pipelines
 * 
 * @author wanjia
 * @date 2024-03-02
 */
public class PmsCiPipelines extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 流水线名称 */
    @Excel(name = "流水线名称")
    private String pipelineName;

    /** enable/disable/succeeded/failed/running/errored/pending/killed/unknown */
    @Excel(name = "enable/disable/succeeded/failed/running/errored/pending/killed/unknown")
    private String pipelineStatus;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String fileName;


    @Excel(name = "文件名称")
    private String filePath;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String login;

    /** 0 未同步到gitea，1 已同步 */
    @Excel(name = "0 未同步到gitea，1 已同步")
    private Long sync;

    /** 仓库标识 */
    @Excel(name = "仓库标识")
    private String repoIdentifier;

    @Excel(name = "仓库名")
    private String repoName;

    /** 分支 */
    @Excel(name = "分支")
    private String branch;

    /** 构建类型 1-声明式流水线 2-图形化流水线 */
    @Excel(name = "构建类型")
    private Integer pipelineType;

    /** 事件 */
    @Excel(name = "事件")
    private String event;

    /** 流水线文件sha */
    @Excel(name = "流水线文件sha")
    private String sha;

    /** 仓库拥有者标识 */
    @Excel(name = "仓库拥有者标识")
    private String owner;

    /** 关联组织ID */
    @Excel(name = "关联组织ID")
    private Long deptId;

    /** 关联企业ID */
    @Excel(name = "关联企业ID")
    private Long pmsEnterpriseId;

    /** 关联项目ID */
    @Excel(name = "关联项目ID")
    private Long pmsProjectId;

    /** 关联模板JSONString */
    private String pipelineTemplateJson;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPipelineName(String pipelineName) 
    {
        this.pipelineName = pipelineName;
    }

    public String getPipelineName() 
    {
        return pipelineName;
    }
    public void setPipelineStatus(String pipelineStatus) 
    {
        this.pipelineStatus = pipelineStatus;
    }

    public String getPipelineStatus() 
    {
        return pipelineStatus;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public void setLogin(String login)
    {
        this.login = login;
    }

    public String getLogin() 
    {
        return login;
    }
    public void setSync(Long sync) 
    {
        this.sync = sync;
    }

    public Long getSync() 
    {
        return sync;
    }
    public void setRepoIdentifier(String repoIdentifier) 
    {
        this.repoIdentifier = repoIdentifier;
    }

    public String getRepoIdentifier() 
    {
        return repoIdentifier;
    }

    public String getRepoName() {
        return repoName;
    }

    public void setRepoName(String repoName) {
        this.repoName = repoName;
    }

    public void setBranch(String branch)
    {
        this.branch = branch;
    }

    public String getBranch() 
    {
        return branch;
    }

    public Integer getPipelineType() {
        return pipelineType;
    }

    public void setPipelineType(Integer pipelineType) {
        this.pipelineType = pipelineType;
    }

    public void setEvent(String event)
    {
        this.event = event;
    }

    public String getEvent() 
    {
        return event;
    }
    public void setSha(String sha) 
    {
        this.sha = sha;
    }

    public String getSha() 
    {
        return sha;
    }
    public void setOwner(String owner) 
    {
        this.owner = owner;
    }

    public String getOwner() 
    {
        return owner;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setPmsEnterpriseId(Long pmsEnterpriseId) 
    {
        this.pmsEnterpriseId = pmsEnterpriseId;
    }

    public Long getPmsEnterpriseId() 
    {
        return pmsEnterpriseId;
    }
    public void setPmsProjectId(Long pmsProjectId) 
    {
        this.pmsProjectId = pmsProjectId;
    }

    public Long getPmsProjectId() 
    {
        return pmsProjectId;
    }

    public String getPipelineTemplateJson() {
        return pipelineTemplateJson;
    }

    public void setPipelineTemplateJson(String pipelineTemplateJson) {
        this.pipelineTemplateJson = pipelineTemplateJson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pipelineName", getPipelineName())
            .append("pipelineStatus", getPipelineStatus())
            .append("fileName", getFileName())
            .append("login", getLogin())
            .append("sync", getSync())
            .append("repoIdentifier", getRepoIdentifier())
            .append("branch", getBranch())
            .append("event", getEvent())
            .append("sha", getSha())
            .append("owner", getOwner())
            .append("deptId", getDeptId())
            .append("pmsEnterpriseId", getPmsEnterpriseId())
            .append("pmsProjectId", getPmsProjectId())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
